GETLABELSECTOR(3) | Library Functions Manual | GETLABELSECTOR(3)

# NAME

`getlabelsector`, `getlabeloffset`, `getlabelusesmbr` —
get disklabel location informations

# LIBRARY

System Utilities Library (libutil, -lutil)

# SYNOPSIS

`#include <util.h>`

daddr_t
`getlabelsector`(void);

off_t
`getlabeloffset`(void);

int
`getlabelusesmbr`(void);

# DESCRIPTION

The `getlabelsector`() and `getlabeloffset`() functions return values which describe the exact on-disk location of the disklabel(5) on the current system, or -1 on error. These functions supersede the hardcoded `LABELSECTOR` and `LABELOFFSET` definitions previously used to derive the location of the disklabel(5).

The `getlabelusesmbr`() returns 1 if the disklabel is located inside a MBR partition, 0 if it's stored relative to the start of the disk, or -1 on error.

# SEE ALSO

sysctl(3), disklabel(5)

# HISTORY

The `getlabelsector`() and `getlabeloffset`() functions appeared in NetBSD 2.0.

August 25, 2011 | NetBSD 9.2